from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNameAccess

@runtime_checkable
class XDDELinks(XNameAccess, Protocol):
    def addDDELink(self, aApplication: str, aTopic: str, aItem: str, nMode: DDELinkMode) -> XDDELink: ...
